.. Generated automatically by doc/tools/makerst.py in Godot's source tree.
.. DO NOT EDIT THIS FILE, but the AudioStreamPlayer.xml source instead.
.. The source is found in doc/classes or modules/<name>/doc_classes.

.. _class_AudioStreamPlayer:

AudioStreamPlayer
=================

**Inherits:** :ref:`Node<class_node>` **<** :ref:`Object<class_object>`

**Category:** Core

Brief Description
-----------------

Plays back audio.

Member Functions
----------------

+----------------------------+---------------------------------------------------------------------------------------------------+
| :ref:`float<class_float>`  | :ref:`get_playback_position<class_AudioStreamPlayer_get_playback_position>` **(** **)**           |
+----------------------------+---------------------------------------------------------------------------------------------------+
| void                       | :ref:`play<class_AudioStreamPlayer_play>` **(** :ref:`float<class_float>` from_position=0.0 **)** |
+----------------------------+---------------------------------------------------------------------------------------------------+
| void                       | :ref:`seek<class_AudioStreamPlayer_seek>` **(** :ref:`float<class_float>` to_position **)**       |
+----------------------------+---------------------------------------------------------------------------------------------------+
| void                       | :ref:`stop<class_AudioStreamPlayer_stop>` **(** **)**                                             |
+----------------------------+---------------------------------------------------------------------------------------------------+

Signals
-------

.. _class_AudioStreamPlayer_finished:

- **finished** **(** **)**

Emitted when the audio stops playing.


Member Variables
----------------

  .. _class_AudioStreamPlayer_autoplay:

- :ref:`bool<class_bool>` **autoplay** - If ``true`` audio plays when added to scene tree. Default value: ``false``.

  .. _class_AudioStreamPlayer_bus:

- :ref:`String<class_string>` **bus** - Bus on which this audio is playing.

  .. _class_AudioStreamPlayer_mix_target:

- :ref:`MixTarget<enum_audiostreamplayer_mixtarget>` **mix_target** - If the audio configuration has more than two speakers, this sets the target channels. See ``MIX_TARGET_*`` constants.

  .. _class_AudioStreamPlayer_playing:

- :ref:`bool<class_bool>` **playing** - If ``true`` audio is playing.

  .. _class_AudioStreamPlayer_stream:

- :ref:`AudioStream<class_audiostream>` **stream** - The :ref:`AudioStream<class_audiostream>` object to be played.

  .. _class_AudioStreamPlayer_volume_db:

- :ref:`float<class_float>` **volume_db** - Volume of sound, in dB.


Enums
-----

  .. _enum_AudioStreamPlayer_MixTarget:

enum **MixTarget**

- **MIX_TARGET_STEREO** = **0** --- The audio will be played only on the first channel.
- **MIX_TARGET_SURROUND** = **1** --- The audio will be played on all surround channels.
- **MIX_TARGET_CENTER** = **2** --- The audio will be played on the second channel, which is usually the center.


Description
-----------

Plays background audio.

Member Function Description
---------------------------

.. _class_AudioStreamPlayer_get_playback_position:

- :ref:`float<class_float>` **get_playback_position** **(** **)**

Returns the position in the :ref:`AudioStream<class_audiostream>`.

.. _class_AudioStreamPlayer_play:

- void **play** **(** :ref:`float<class_float>` from_position=0.0 **)**

Plays the audio from the given position 'from_position', in seconds.

.. _class_AudioStreamPlayer_seek:

- void **seek** **(** :ref:`float<class_float>` to_position **)**

Sets the position from which audio will be played, in seconds.

.. _class_AudioStreamPlayer_stop:

- void **stop** **(** **)**

Stops the audio.


